%define name wammu
%define version 0.36
%define release %mkrel 3

%define python_gammu_req 0.25

Summary:        Mobile phone manager
Summary(de):    Mobiltelefon Manager   
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source0:        %{name}-%{version}.tar.xz
License:        GPL
Group:          Communications
Url:        	http://www.cihar.com/gammu/wammu
BuildRoot:  	%{_tmppath}/%name-%version-root
Requires:       wxPythonGTK, python-gammu >= %{python_gammu_req}
BuildRequires:  wxPythonGTK, python-gammu >= %{python_gammu_req}, python-devel
BuildArch:	noarch
Obsoletes: 	%name < %version

%description
Mobile phone manager using Gammu as it's backend. It works with any phone Gammu
supports - many Nokia, Siemens, Alcatel, ... Written using wxGTK.

http://wammu.eu

%description -l de
Der Mobiltelefon Manager verwendet Gammu als Backend. Er arbeitet mit jedem Handy 
das von Gammu unterstützt wird - viele Nokia, Siemens, Alcatel, ... 
geschrieben unter Verwendung von wxGTK.

http://de.wammu.eu

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" SKIPWXCHECK=yes python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
SKIPWXCHECK=yes python setup.py install --root=$RPM_BUILD_ROOT


#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Wammu Mobile Phone Manager
Name[de]=Wammu Mobiltelefon Manager
Comment=Frontend for Gammu
Comment[de]=Benutzeroberfläche für Gammu 
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Utility;TelephonyTools;GTK;X-MandrivaLinux-System-Configuration-Other;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS FAQ COPYING
%{_bindir}/*
%{py_puresitedir}/*
%{_datadir}/Wammu
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_mandir}
%lang(cs) %{_mandir}/cs/man?/*
%lang(de) %{_mandir}/de/man?/*
%lang(it) %{_mandir}/it/man?/*
%lang(nl) %{_mandir}/nl/man?/*
%lang(ru) %{_mandir}/ru/man?/*
%lang(sk) %{_mandir}/sk/man?/*
%{_datadir}/locale/*/LC_MESSAGES/wammu.mo


%changelog
* Fri Sep 02 2016 bb <bb. 0.36-3pclos2016
- rebuild for updated wxPython

* Fri Aug 16 2013 billybot <billybot> 0.36-2pclos2013
- update python 2.7

* Sun Jul 28 2013 billbot <billybot> 0.36-1pclos2013
- update

* Sat Feb 19 2011 maik3531 <maik3531 at yahoo.de> 0.35-1pclos2011
- 0.35

* Tue Sep 07 2010 Texstar <texstar at gmail.com> 0.34-1pclos2010
- 0.34

* Wed Jul 07 2010 maik3531 <maik3531 at yahoo.de> 0.33-3pclos2010
- add german description

* Sat May 15 2010 slick50 <lxgator@gmail.com> 0.33-2pclos2010
- rebuild -add missing menu/icon

* Wed Apr 28 2010 slick50 <lxgator@gmail.com> 0.33-1pclos2010
- 0.33

* Thu Jan 21 2010 slick50 <lxgator@gmail.com> 0.32.1-1pclos2010
- 0.32.1 -bug fix

* Tue Jan 12 2010 slick50 <lxgator@gmail.com> 0.32-1pclos2010
- 0.32

* Thu Jul 09 2009 pcserver <pcserver@hushmail.com> 0.30-1pclos2009
- 0.30



